public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Frysinger" <vapier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/sandbox/
Date: Wed,  3 Nov 2021 00:34:48 +0000 (UTC)	[thread overview]
Message-ID: <1635899680.93a9010e572cc9d2184c9be2eac584f6c0294434.vapier@gentoo> (raw)

commit:     93a9010e572cc9d2184c9be2eac584f6c0294434
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  3 00:27:47 2021 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Wed Nov  3 00:34:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93a9010e

sys-apps/sandbox: version bump to 3.0

Signed-off-by: Mike Frysinger <vapier <AT> gentoo.org>

 sys-apps/sandbox/Manifest           |  1 +
 sys-apps/sandbox/sandbox-3.0.ebuild | 62 +++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/sys-apps/sandbox/Manifest b/sys-apps/sandbox/Manifest
index 50fedc869e8..5397ff24101 100644
--- a/sys-apps/sandbox/Manifest
+++ b/sys-apps/sandbox/Manifest
@@ -4,3 +4,4 @@ DIST sandbox-2.26.tar.xz 444412 BLAKE2B 3bc88d86ba4e2522895c4448dff6da2cffceb912
 DIST sandbox-2.27.tar.xz 448948 BLAKE2B 03a311c8c7c8719bac398e39ce49e7149bdaa1d5b2811f395eb2251a32aabba995f97c3d5d27461aadb64bf43adf2b0cbaa7c2f141dd86f64f8dd326422ac104 SHA512 2a53e6fc87cec975962737b1fadc447d86985d27b18ad2caed711116da2ba435f54db0f7dadb02664b2638b9dc77752831cd4820390f5c3e61a42429e13462a7
 DIST sandbox-2.28.tar.xz 450840 BLAKE2B 1a144db1dcd140ce393f47b224c4389693bd3db6d056749968a9e78730b1075192148aa63fdfd5ab93893dfb96a87bcc36bee8b4540abefca0590a8def8365f2 SHA512 eaac54fbc35f51da3c94bfa10e0556f0fd39c20660fea2aa7d3cbf76dd3e4c9fb4a16cc198425988b79313f9331af030e1dca431c3f057ee4a04927c96897895
 DIST sandbox-2.29.tar.xz 452784 BLAKE2B 388f5d9c49134696bafbc6b882581396a9fa2e7caa6ccfb4376706d653f836ce18e0d77527c4c4f2ff753c0b920ab5ab60e151dd8a4e399e13dbc3fe7c0533d6 SHA512 15c0e6b71e8b8547b8188f857568c99b1925d5a837a289b21c4f842341361bf7119b96083697dc83546caf530daab700fb8c2704974e7cfb804d64bb5257a4b4
+DIST sandbox-3.0.tar.xz 454384 BLAKE2B b4f38b7c5ed2dc52e558f1b7e36d2308e6017c9d14861c60eace0f240a909f11184e259b2359ea96cad81d21234cc9a6bcd9f313ce56bd2f3bb1ce836f006a50 SHA512 3a35ee0b19a356b1986468ef5d2ecd553b88cbdaf287ce31a211b4072097a9844fca413ffa0f2858b9a4e75ead822fe9d9834f17c241ba32c2f14e02619a70b3

diff --git a/sys-apps/sandbox/sandbox-3.0.ebuild b/sys-apps/sandbox/sandbox-3.0.ebuild
new file mode 100644
index 00000000000..83e90898881
--- /dev/null
+++ b/sys-apps/sandbox/sandbox-3.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit flag-o-matic multilib-minimal multiprocessing
+
+DESCRIPTION="sandbox'd LD_PRELOAD hack"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Sandbox"
+SRC_URI="https://dev.gentoo.org/~vapier/dist/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+nnp"
+
+DEPEND="app-arch/xz-utils
+	>=app-misc/pax-utils-0.1.19" #265376
+RDEPEND=""
+
+has sandbox_death_notice ${EBUILD_DEATH_HOOKS} || EBUILD_DEATH_HOOKS+=" sandbox_death_notice"
+
+sandbox_death_notice() {
+	ewarn "If configure failed with a 'cannot run C compiled programs' error, try this:"
+	ewarn "FEATURES='-sandbox -usersandbox' emerge sandbox"
+}
+
+src_prepare() {
+	default
+
+	if ! use nnp ; then
+		sed -i 's:PR_SET_NO_NEW_PRIVS:___disable_nnp_hack:' src/sandbox.c || die
+	fi
+
+	# sandbox uses `__asm__ (".symver "...` which does
+	# not play well with gcc's LTO: https://gcc.gnu.org/PR48200
+	append-flags -fno-lto
+	append-ldflags -fno-lto
+}
+
+multilib_src_configure() {
+	filter-lfs-flags #90228
+
+	ECONF_SOURCE="${S}" econf
+}
+
+multilib_src_test() {
+	# Default sandbox build will run with --jobs set to # cpus.
+	emake check TESTSUITEFLAGS="--jobs=$(makeopts_jobs)"
+}
+
+multilib_src_install_all() {
+	doenvd "${FILESDIR}"/09sandbox
+
+	dodoc AUTHORS ChangeLog* README.md
+}
+
+pkg_postinst() {
+	mkdir -p "${EROOT}"/var/log/sandbox
+	chown root:portage "${EROOT}"/var/log/sandbox
+	chmod 0770 "${EROOT}"/var/log/sandbox
+}


             reply	other threads:[~2021-11-03  0:34 UTC|newest]

Thread overview: 194+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-11-03  0:34 Mike Frysinger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-13 19:45 [gentoo-commits] repo/gentoo:master commit in: sys-apps/sandbox/ Arthur Zamarin
2024-09-13 19:35 Arthur Zamarin
2024-09-13 19:33 Arthur Zamarin
2024-09-13 19:33 Arthur Zamarin
2024-09-13 19:33 Arthur Zamarin
2024-09-13 19:33 Arthur Zamarin
2024-09-13 19:33 Arthur Zamarin
2024-06-27 18:39 Mike Gilbert
2023-10-10 15:09 Arthur Zamarin
2023-10-10  4:47 Sam James
2023-10-10  4:31 Sam James
2023-10-10  4:31 Sam James
2023-10-10  4:31 Sam James
2023-10-10  4:31 Sam James
2023-10-10  4:31 Sam James
2023-10-10  4:31 Sam James
2023-08-25 17:04 Andreas K. Hüttel
2023-08-06  0:51 Mike Gilbert
2023-07-17 18:17 Arthur Zamarin
2023-07-17 18:17 Arthur Zamarin
2023-07-17 18:16 Arthur Zamarin
2023-07-17 18:16 Arthur Zamarin
2023-07-17 17:40 Arthur Zamarin
2023-07-17 16:53 Arthur Zamarin
2023-07-17 16:53 Arthur Zamarin
2023-07-17 16:53 Arthur Zamarin
2023-07-17 14:03 Mike Gilbert
2023-07-10 16:00 Mike Gilbert
2023-07-08  3:18 Mike Gilbert
2023-07-08  3:16 Mike Gilbert
2023-07-05 18:07 Mike Gilbert
2023-07-02  0:00 Mike Gilbert
2023-06-30 17:01 Mike Gilbert
2023-06-21 17:28 Sam James
2023-06-21 17:28 Sam James
2023-06-21 17:28 Sam James
2023-06-21 17:28 Sam James
2023-06-21 17:28 Sam James
2023-06-21 17:02 Sam James
2023-06-21 17:02 Sam James
2023-06-21 14:55 Mike Gilbert
2023-06-16 14:07 Sam James
2023-06-16 13:56 Sam James
2023-06-16 13:56 Sam James
2023-06-16 13:56 Sam James
2023-06-16 13:56 Sam James
2023-06-16 13:56 Sam James
2023-06-13 19:08 Mike Gilbert
2023-01-03  6:14 Sam James
2023-01-03  6:14 Sam James
2022-12-31 13:28 Sam James
2022-12-31 13:01 Sam James
2022-12-30 21:46 Mike Gilbert
2022-12-30 21:46 Mike Gilbert
2022-04-24  2:35 Sam James
2022-04-02  7:43 Arthur Zamarin
2022-03-26 19:49 Agostino Sarubbo
2022-03-26 16:46 Arthur Zamarin
2022-03-25  7:46 Agostino Sarubbo
2022-03-24  8:38 Agostino Sarubbo
2022-03-24  8:36 Agostino Sarubbo
2022-03-24  8:31 Agostino Sarubbo
2021-11-03  7:00 Mike Frysinger
2021-11-02  4:27 Mike Frysinger
2021-10-28  7:36 Mike Frysinger
2021-10-28  7:36 Mike Frysinger
2021-10-24  1:13 Mike Frysinger
2021-10-21 23:01 Mike Frysinger
2021-10-21 23:01 Mike Frysinger
2021-10-01  6:06 Jakov Smolić
2021-09-07 16:02 Michał Górny
2021-06-11 10:33 Michał Górny
2021-06-11  1:26 Sam James
2021-06-11  1:26 Sam James
2021-06-11  1:26 Sam James
2021-06-09 14:43 Sergei Trofimovich
2021-06-07 16:16 Sam James
2021-06-07  6:28 Sergei Trofimovich
2021-06-06 17:40 Sergei Trofimovich
2021-06-05 20:52 Sam James
2021-06-05 20:43 Sam James
2021-06-05 20:43 Sam James
2021-05-17 16:36 Sergei Trofimovich
2021-05-15 18:04 Sam James
2021-05-15 18:03 Sam James
2021-05-15 18:02 Sam James
2021-05-15 17:59 Sam James
2021-05-15 17:56 Sam James
2021-05-15 17:55 Sam James
2021-05-11  7:17 Sergei Trofimovich
2021-05-10 22:34 Sergei Trofimovich
2021-05-04 22:26 Sam James
2021-05-04 22:14 Sergei Trofimovich
2021-05-03 16:58 Sam James
2021-05-03 16:55 Sam James
2021-05-03 16:53 Sam James
2021-05-03 16:51 Sam James
2021-05-02  9:24 Sergei Trofimovich
2021-04-25 19:31 Michał Górny
2021-04-25 19:23 Sam James
2021-04-25 10:04 Sam James
2021-04-25  8:56 Sergei Trofimovich
2021-04-25  5:16 Sam James
2021-04-25  5:14 Sam James
2021-04-25  5:14 Sam James
2021-04-25  5:11 Sam James
2021-04-25  5:09 Sam James
2021-04-10 20:20 Sergei Trofimovich
2021-03-27 11:45 Sergei Trofimovich
2021-03-11  9:52 Michał Górny
2020-12-22  8:07 Michał Górny
2020-12-22  8:07 Michał Górny
2020-12-22  5:25 Sam James
2020-11-14  9:24 Mikle Kolyada
2020-11-03 22:47 Sergei Trofimovich
2020-11-03 10:57 Sam James
2020-10-26 23:49 Sergei Trofimovich
2020-10-26  0:15 Sam James
2020-10-25 23:21 Sam James
2020-10-25 22:13 Sam James
2020-10-25 21:34 Thomas Deutschmann
2020-10-25  8:12 Michał Górny
2020-06-05 16:10 Sergei Trofimovich
2020-06-04 20:39 Mart Raudsepp
2020-06-03 15:12 Agostino Sarubbo
2020-06-03  9:22 Agostino Sarubbo
2020-06-01 20:51 Sergei Trofimovich
2020-06-01 17:02 Sergei Trofimovich
2020-05-31 19:12 Sergei Trofimovich
2020-05-31 10:53 Michał Górny
2020-05-31  8:25 Michał Górny
2019-05-04 15:16 Mikle Kolyada
2019-03-13 10:09 Andreas K. Hüttel
2019-03-11 12:51 Andreas K. Hüttel
2019-03-10 10:38 Andreas K. Hüttel
2019-01-09 14:11 Michał Górny
2018-12-02 15:57 Michał Górny
2018-07-21 19:17 Mikle Kolyada
2018-05-01 20:23 Mikle Kolyada
2018-04-24 21:13 Mart Raudsepp
2018-04-22 22:03 Matt Turner
2018-04-16 21:38 Mikle Kolyada
2018-04-07  5:23 Matt Turner
2018-04-07  5:23 Matt Turner
2018-04-01 10:00 Tobias Klausmann
2018-03-29 18:53 Michał Górny
2018-03-26  6:05 Sergei Trofimovich
2018-03-24 21:04 Mikle Kolyada
2018-03-24 16:47 Sergei Trofimovich
2018-03-15 16:38 Mikle Kolyada
2018-03-04 11:34 Tobias Klausmann
2018-03-01 21:28 Mart Raudsepp
2018-02-19 16:21 Michał Górny
2018-01-15 19:03 Tobias Klausmann
2018-01-14 11:25 Sergei Trofimovich
2018-01-13 20:52 Sergei Trofimovich
2018-01-12 19:27 Thomas Deutschmann
2018-01-12 13:50 Thomas Deutschmann
2017-12-05  5:44 Markus Meier
2017-11-24 20:26 Sergei Trofimovich
2017-10-28 22:03 Sergei Trofimovich
2017-10-28 15:01 Manuel Rüger
2017-10-27 13:49 Thomas Deutschmann
2017-10-22 21:42 Tobias Klausmann
2017-10-14 17:31 Sergei Trofimovich
2017-10-13  0:13 Sergei Trofimovich
2017-10-03 19:09 Michał Górny
2017-10-03 19:09 Michał Górny
2017-10-03 19:09 Michał Górny
2017-10-03 19:09 Michał Górny
2017-03-10 18:51 Mike Frysinger
2017-02-23 21:49 Michael Weber
2017-02-18 14:44 Agostino Sarubbo
2017-02-18  5:47 Markus Meier
2017-02-17 10:56 Agostino Sarubbo
2017-02-15 13:49 Tobias Klausmann
2017-02-12 17:01 Agostino Sarubbo
2017-02-05 11:34 Jeroen Roovers
2017-02-04 15:21 Agostino Sarubbo
2016-04-05 19:48 Mike Frysinger
2016-03-29 12:25 Mike Frysinger
2016-03-29  9:57 Mike Frysinger
2016-02-21  8:28 Mike Frysinger
2016-02-14 10:11 Agostino Sarubbo
2016-02-01 19:00 Tobias Klausmann
2016-01-22  4:20 Jeroen Roovers
2016-01-18  9:58 Mike Frysinger
2016-01-17 20:08 Mike Frysinger
2016-01-15 15:23 Agostino Sarubbo
2016-01-14 21:58 Markus Meier
2015-12-19  7:46 Mike Frysinger
2015-09-27  6:27 Mike Frysinger
2015-09-11 17:07 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1635899680.93a9010e572cc9d2184c9be2eac584f6c0294434.vapier@gentoo \
    --to=vapier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox